### Hierarchy

- EventTarget
  - SpeechSynthesis

## Index

### Properties

- EventTarget
- onvoiceschanged
- paused
- pending
- speaking

### Methods

- addEventListener
- cancel
- dispatchEvent
- getVoices
- pause
- removeEventListener
- resume
- speak

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### onvoiceschanged

onvoiceschanged: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14461

### paused

paused: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14462

### pending

pending: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14463

### speaking

speaking: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14464

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14470

  #### Type parameters

  - #### K: keyof SpeechSynthesisEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SpeechSynthesis, ev: SpeechSynthesisEventMap[K]): any

      - #### Parameters

        - ##### this: SpeechSynthesis

        - ##### ev: SpeechSynthesisEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14471

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### cancel

- cancel(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14465

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getVoices

- getVoices(): SpeechSynthesisVoice[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14466

  #### Returns SpeechSynthesisVoice[]

### pause

- pause(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14467

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14472

  #### Type parameters

  - #### K: keyof SpeechSynthesisEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SpeechSynthesis, ev: SpeechSynthesisEventMap[K]): any

      - #### Parameters

        - ##### this: SpeechSynthesis

        - ##### ev: SpeechSynthesisEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14473

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### resume

- resume(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14468

  #### Returns void

### speak

- speak(utterance: SpeechSynthesisUtterance): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14469

  #### Parameters

  - ##### utterance: SpeechSynthesisUtterance

  #### Returns void

Generated using TypeDoc